Bug 294841 - alsa-lib has a configure bug which causes it not to build the lfloat plugin
alsa-lib has a configure bug which causes it not to build the lfloat plugin
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-18 11:05 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-19 05:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
build the lfloat plugin (300 bytes, text/x-patch)
2007-09-18 11:05 EDT, John (J5) Palmieri
no flags Details

  None (edit)
Description John (J5) Palmieri 2007-09-18 11:05:32 EDT
Description of problem:

The lfloat plugin is used by csound and other sound applications when talking to
alsa.  Since version 1.0.14 a conditional was added to the configure scripts
which turns off the lfloat plugin.  A simple configure patch should fix this. 
We need this for OLPC and I felt it was not worth forking the package just to
get this bug fix in.  For now I did a scratch build but we should be getting
this from F7.

This is fixed in 1.0.15a but I have attached a patch which also fixes the issue
with the current release without being invasive.

Also an issue with rawhide

Relevant discussions at http://dev.laptop.org/ticket/3519

Version-Release number of selected component (if applicable):

Comment 1 John (J5) Palmieri 2007-09-18 11:05:32 EDT
Created attachment 198451 [details]
build the lfloat plugin
Comment 2 Martin Stransky 2007-09-19 05:43:06 EDT
added to package alsa-lib-1.0.14-4.fc7

Note You need to log in before you can comment on or make changes to this bug.